Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network176.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
176.2.64.0
Broadcast address
176.2.95.255
First usable
176.2.64.1
Last usable
176.2.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex B0024000 · Integer 2952937472 to 2952945663
Reverse DNS zones
64.2.176.in-addr.arpa
65.2.176.in-addr.arpa
66.2.176.in-addr.arpa
67.2.176.in-addr.arpa
68.2.176.in-addr.arpa
69.2.176.in-addr.arpa
70.2.176.in-addr.arpa
71.2.176.in-addr.arpa
72.2.176.in-addr.arpa
73.2.176.in-addr.arpa
74.2.176.in-addr.arpa
75.2.176.in-addr.arpa
76.2.176.in-addr.arpa
77.2.176.in-addr.arpa
78.2.176.in-addr.arpa
79.2.176.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110000.00000010.01000000.00000000176.2.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10110000.00000010.01000000.00000000176.2.64.0
Broadcast10110000.00000010.01011111.11111111176.2.95.255
Split into smaller subnets/30

176.2.64.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1176.2.64.0/30176.2.64.1 to 176.2.64.2176.2.64.32
2176.2.64.4/30176.2.64.5 to 176.2.64.6176.2.64.72
3176.2.64.8/30176.2.64.9 to 176.2.64.10176.2.64.112
4176.2.64.12/30176.2.64.13 to 176.2.64.14176.2.64.152
5176.2.64.16/30176.2.64.17 to 176.2.64.18176.2.64.192
6176.2.64.20/30176.2.64.21 to 176.2.64.22176.2.64.232
7176.2.64.24/30176.2.64.25 to 176.2.64.26176.2.64.272
8176.2.64.28/30176.2.64.29 to 176.2.64.30176.2.64.312
9176.2.64.32/30176.2.64.33 to 176.2.64.34176.2.64.352
10176.2.64.36/30176.2.64.37 to 176.2.64.38176.2.64.392
11176.2.64.40/30176.2.64.41 to 176.2.64.42176.2.64.432
12176.2.64.44/30176.2.64.45 to 176.2.64.46176.2.64.472
13176.2.64.48/30176.2.64.49 to 176.2.64.50176.2.64.512
14176.2.64.52/30176.2.64.53 to 176.2.64.54176.2.64.552
15176.2.64.56/30176.2.64.57 to 176.2.64.58176.2.64.592
16176.2.64.60/30176.2.64.61 to 176.2.64.62176.2.64.632
17176.2.64.64/30176.2.64.65 to 176.2.64.66176.2.64.672
18176.2.64.68/30176.2.64.69 to 176.2.64.70176.2.64.712
19176.2.64.72/30176.2.64.73 to 176.2.64.74176.2.64.752
20176.2.64.76/30176.2.64.77 to 176.2.64.78176.2.64.792
21176.2.64.80/30176.2.64.81 to 176.2.64.82176.2.64.832
22176.2.64.84/30176.2.64.85 to 176.2.64.86176.2.64.872
23176.2.64.88/30176.2.64.89 to 176.2.64.90176.2.64.912
24176.2.64.92/30176.2.64.93 to 176.2.64.94176.2.64.952
25176.2.64.96/30176.2.64.97 to 176.2.64.98176.2.64.992
26176.2.64.100/30176.2.64.101 to 176.2.64.102176.2.64.1032
27176.2.64.104/30176.2.64.105 to 176.2.64.106176.2.64.1072
28176.2.64.108/30176.2.64.109 to 176.2.64.110176.2.64.1112
29176.2.64.112/30176.2.64.113 to 176.2.64.114176.2.64.1152
30176.2.64.116/30176.2.64.117 to 176.2.64.118176.2.64.1192
31176.2.64.120/30176.2.64.121 to 176.2.64.122176.2.64.1232
32176.2.64.124/30176.2.64.125 to 176.2.64.126176.2.64.1272
33176.2.64.128/30176.2.64.129 to 176.2.64.130176.2.64.1312
34176.2.64.132/30176.2.64.133 to 176.2.64.134176.2.64.1352
35176.2.64.136/30176.2.64.137 to 176.2.64.138176.2.64.1392
36176.2.64.140/30176.2.64.141 to 176.2.64.142176.2.64.1432
37176.2.64.144/30176.2.64.145 to 176.2.64.146176.2.64.1472
38176.2.64.148/30176.2.64.149 to 176.2.64.150176.2.64.1512
39176.2.64.152/30176.2.64.153 to 176.2.64.154176.2.64.1552
40176.2.64.156/30176.2.64.157 to 176.2.64.158176.2.64.1592
41176.2.64.160/30176.2.64.161 to 176.2.64.162176.2.64.1632
42176.2.64.164/30176.2.64.165 to 176.2.64.166176.2.64.1672
43176.2.64.168/30176.2.64.169 to 176.2.64.170176.2.64.1712
44176.2.64.172/30176.2.64.173 to 176.2.64.174176.2.64.1752
45176.2.64.176/30176.2.64.177 to 176.2.64.178176.2.64.1792
46176.2.64.180/30176.2.64.181 to 176.2.64.182176.2.64.1832
47176.2.64.184/30176.2.64.185 to 176.2.64.186176.2.64.1872
48176.2.64.188/30176.2.64.189 to 176.2.64.190176.2.64.1912
49176.2.64.192/30176.2.64.193 to 176.2.64.194176.2.64.1952
50176.2.64.196/30176.2.64.197 to 176.2.64.198176.2.64.1992
51176.2.64.200/30176.2.64.201 to 176.2.64.202176.2.64.2032
52176.2.64.204/30176.2.64.205 to 176.2.64.206176.2.64.2072
53176.2.64.208/30176.2.64.209 to 176.2.64.210176.2.64.2112
54176.2.64.212/30176.2.64.213 to 176.2.64.214176.2.64.2152
55176.2.64.216/30176.2.64.217 to 176.2.64.218176.2.64.2192
56176.2.64.220/30176.2.64.221 to 176.2.64.222176.2.64.2232
57176.2.64.224/30176.2.64.225 to 176.2.64.226176.2.64.2272
58176.2.64.228/30176.2.64.229 to 176.2.64.230176.2.64.2312
59176.2.64.232/30176.2.64.233 to 176.2.64.234176.2.64.2352
60176.2.64.236/30176.2.64.237 to 176.2.64.238176.2.64.2392
61176.2.64.240/30176.2.64.241 to 176.2.64.242176.2.64.2432
62176.2.64.244/30176.2.64.245 to 176.2.64.246176.2.64.2472
63176.2.64.248/30176.2.64.249 to 176.2.64.250176.2.64.2512
64176.2.64.252/30176.2.64.253 to 176.2.64.254176.2.64.2552
65176.2.65.0/30176.2.65.1 to 176.2.65.2176.2.65.32
66176.2.65.4/30176.2.65.5 to 176.2.65.6176.2.65.72
67176.2.65.8/30176.2.65.9 to 176.2.65.10176.2.65.112
68176.2.65.12/30176.2.65.13 to 176.2.65.14176.2.65.152
69176.2.65.16/30176.2.65.17 to 176.2.65.18176.2.65.192
70176.2.65.20/30176.2.65.21 to 176.2.65.22176.2.65.232
71176.2.65.24/30176.2.65.25 to 176.2.65.26176.2.65.272
72176.2.65.28/30176.2.65.29 to 176.2.65.30176.2.65.312
73176.2.65.32/30176.2.65.33 to 176.2.65.34176.2.65.352
74176.2.65.36/30176.2.65.37 to 176.2.65.38176.2.65.392
75176.2.65.40/30176.2.65.41 to 176.2.65.42176.2.65.432
76176.2.65.44/30176.2.65.45 to 176.2.65.46176.2.65.472
77176.2.65.48/30176.2.65.49 to 176.2.65.50176.2.65.512
78176.2.65.52/30176.2.65.53 to 176.2.65.54176.2.65.552
79176.2.65.56/30176.2.65.57 to 176.2.65.58176.2.65.592
80176.2.65.60/30176.2.65.61 to 176.2.65.62176.2.65.632
81176.2.65.64/30176.2.65.65 to 176.2.65.66176.2.65.672
82176.2.65.68/30176.2.65.69 to 176.2.65.70176.2.65.712
83176.2.65.72/30176.2.65.73 to 176.2.65.74176.2.65.752
84176.2.65.76/30176.2.65.77 to 176.2.65.78176.2.65.792
85176.2.65.80/30176.2.65.81 to 176.2.65.82176.2.65.832
86176.2.65.84/30176.2.65.85 to 176.2.65.86176.2.65.872
87176.2.65.88/30176.2.65.89 to 176.2.65.90176.2.65.912
88176.2.65.92/30176.2.65.93 to 176.2.65.94176.2.65.952
89176.2.65.96/30176.2.65.97 to 176.2.65.98176.2.65.992
90176.2.65.100/30176.2.65.101 to 176.2.65.102176.2.65.1032
91176.2.65.104/30176.2.65.105 to 176.2.65.106176.2.65.1072
92176.2.65.108/30176.2.65.109 to 176.2.65.110176.2.65.1112
93176.2.65.112/30176.2.65.113 to 176.2.65.114176.2.65.1152
94176.2.65.116/30176.2.65.117 to 176.2.65.118176.2.65.1192
95176.2.65.120/30176.2.65.121 to 176.2.65.122176.2.65.1232
96176.2.65.124/30176.2.65.125 to 176.2.65.126176.2.65.1272
97176.2.65.128/30176.2.65.129 to 176.2.65.130176.2.65.1312
98176.2.65.132/30176.2.65.133 to 176.2.65.134176.2.65.1352
99176.2.65.136/30176.2.65.137 to 176.2.65.138176.2.65.1392
100176.2.65.140/30176.2.65.141 to 176.2.65.142176.2.65.1432
101176.2.65.144/30176.2.65.145 to 176.2.65.146176.2.65.1472
102176.2.65.148/30176.2.65.149 to 176.2.65.150176.2.65.1512
103176.2.65.152/30176.2.65.153 to 176.2.65.154176.2.65.1552
104176.2.65.156/30176.2.65.157 to 176.2.65.158176.2.65.1592
105176.2.65.160/30176.2.65.161 to 176.2.65.162176.2.65.1632
106176.2.65.164/30176.2.65.165 to 176.2.65.166176.2.65.1672
107176.2.65.168/30176.2.65.169 to 176.2.65.170176.2.65.1712
108176.2.65.172/30176.2.65.173 to 176.2.65.174176.2.65.1752
109176.2.65.176/30176.2.65.177 to 176.2.65.178176.2.65.1792
110176.2.65.180/30176.2.65.181 to 176.2.65.182176.2.65.1832
111176.2.65.184/30176.2.65.185 to 176.2.65.186176.2.65.1872
112176.2.65.188/30176.2.65.189 to 176.2.65.190176.2.65.1912
113176.2.65.192/30176.2.65.193 to 176.2.65.194176.2.65.1952
114176.2.65.196/30176.2.65.197 to 176.2.65.198176.2.65.1992
115176.2.65.200/30176.2.65.201 to 176.2.65.202176.2.65.2032
116176.2.65.204/30176.2.65.205 to 176.2.65.206176.2.65.2072
117176.2.65.208/30176.2.65.209 to 176.2.65.210176.2.65.2112
118176.2.65.212/30176.2.65.213 to 176.2.65.214176.2.65.2152
119176.2.65.216/30176.2.65.217 to 176.2.65.218176.2.65.2192
120176.2.65.220/30176.2.65.221 to 176.2.65.222176.2.65.2232
121176.2.65.224/30176.2.65.225 to 176.2.65.226176.2.65.2272
122176.2.65.228/30176.2.65.229 to 176.2.65.230176.2.65.2312
123176.2.65.232/30176.2.65.233 to 176.2.65.234176.2.65.2352
124176.2.65.236/30176.2.65.237 to 176.2.65.238176.2.65.2392
125176.2.65.240/30176.2.65.241 to 176.2.65.242176.2.65.2432
126176.2.65.244/30176.2.65.245 to 176.2.65.246176.2.65.2472
127176.2.65.248/30176.2.65.249 to 176.2.65.250176.2.65.2512
128176.2.65.252/30176.2.65.253 to 176.2.65.254176.2.65.2552
129176.2.66.0/30176.2.66.1 to 176.2.66.2176.2.66.32
130176.2.66.4/30176.2.66.5 to 176.2.66.6176.2.66.72
131176.2.66.8/30176.2.66.9 to 176.2.66.10176.2.66.112
132176.2.66.12/30176.2.66.13 to 176.2.66.14176.2.66.152
133176.2.66.16/30176.2.66.17 to 176.2.66.18176.2.66.192
134176.2.66.20/30176.2.66.21 to 176.2.66.22176.2.66.232
135176.2.66.24/30176.2.66.25 to 176.2.66.26176.2.66.272
136176.2.66.28/30176.2.66.29 to 176.2.66.30176.2.66.312
137176.2.66.32/30176.2.66.33 to 176.2.66.34176.2.66.352
138176.2.66.36/30176.2.66.37 to 176.2.66.38176.2.66.392
139176.2.66.40/30176.2.66.41 to 176.2.66.42176.2.66.432
140176.2.66.44/30176.2.66.45 to 176.2.66.46176.2.66.472
141176.2.66.48/30176.2.66.49 to 176.2.66.50176.2.66.512
142176.2.66.52/30176.2.66.53 to 176.2.66.54176.2.66.552
143176.2.66.56/30176.2.66.57 to 176.2.66.58176.2.66.592
144176.2.66.60/30176.2.66.61 to 176.2.66.62176.2.66.632
145176.2.66.64/30176.2.66.65 to 176.2.66.66176.2.66.672
146176.2.66.68/30176.2.66.69 to 176.2.66.70176.2.66.712
147176.2.66.72/30176.2.66.73 to 176.2.66.74176.2.66.752
148176.2.66.76/30176.2.66.77 to 176.2.66.78176.2.66.792
149176.2.66.80/30176.2.66.81 to 176.2.66.82176.2.66.832
150176.2.66.84/30176.2.66.85 to 176.2.66.86176.2.66.872
151176.2.66.88/30176.2.66.89 to 176.2.66.90176.2.66.912
152176.2.66.92/30176.2.66.93 to 176.2.66.94176.2.66.952
153176.2.66.96/30176.2.66.97 to 176.2.66.98176.2.66.992
154176.2.66.100/30176.2.66.101 to 176.2.66.102176.2.66.1032
155176.2.66.104/30176.2.66.105 to 176.2.66.106176.2.66.1072
156176.2.66.108/30176.2.66.109 to 176.2.66.110176.2.66.1112
157176.2.66.112/30176.2.66.113 to 176.2.66.114176.2.66.1152
158176.2.66.116/30176.2.66.117 to 176.2.66.118176.2.66.1192
159176.2.66.120/30176.2.66.121 to 176.2.66.122176.2.66.1232
160176.2.66.124/30176.2.66.125 to 176.2.66.126176.2.66.1272
161176.2.66.128/30176.2.66.129 to 176.2.66.130176.2.66.1312
162176.2.66.132/30176.2.66.133 to 176.2.66.134176.2.66.1352
163176.2.66.136/30176.2.66.137 to 176.2.66.138176.2.66.1392
164176.2.66.140/30176.2.66.141 to 176.2.66.142176.2.66.1432
165176.2.66.144/30176.2.66.145 to 176.2.66.146176.2.66.1472
166176.2.66.148/30176.2.66.149 to 176.2.66.150176.2.66.1512
167176.2.66.152/30176.2.66.153 to 176.2.66.154176.2.66.1552
168176.2.66.156/30176.2.66.157 to 176.2.66.158176.2.66.1592
169176.2.66.160/30176.2.66.161 to 176.2.66.162176.2.66.1632
170176.2.66.164/30176.2.66.165 to 176.2.66.166176.2.66.1672
171176.2.66.168/30176.2.66.169 to 176.2.66.170176.2.66.1712
172176.2.66.172/30176.2.66.173 to 176.2.66.174176.2.66.1752
173176.2.66.176/30176.2.66.177 to 176.2.66.178176.2.66.1792
174176.2.66.180/30176.2.66.181 to 176.2.66.182176.2.66.1832
175176.2.66.184/30176.2.66.185 to 176.2.66.186176.2.66.1872
176176.2.66.188/30176.2.66.189 to 176.2.66.190176.2.66.1912
177176.2.66.192/30176.2.66.193 to 176.2.66.194176.2.66.1952
178176.2.66.196/30176.2.66.197 to 176.2.66.198176.2.66.1992
179176.2.66.200/30176.2.66.201 to 176.2.66.202176.2.66.2032
180176.2.66.204/30176.2.66.205 to 176.2.66.206176.2.66.2072
181176.2.66.208/30176.2.66.209 to 176.2.66.210176.2.66.2112
182176.2.66.212/30176.2.66.213 to 176.2.66.214176.2.66.2152
183176.2.66.216/30176.2.66.217 to 176.2.66.218176.2.66.2192
184176.2.66.220/30176.2.66.221 to 176.2.66.222176.2.66.2232
185176.2.66.224/30176.2.66.225 to 176.2.66.226176.2.66.2272
186176.2.66.228/30176.2.66.229 to 176.2.66.230176.2.66.2312
187176.2.66.232/30176.2.66.233 to 176.2.66.234176.2.66.2352
188176.2.66.236/30176.2.66.237 to 176.2.66.238176.2.66.2392
189176.2.66.240/30176.2.66.241 to 176.2.66.242176.2.66.2432
190176.2.66.244/30176.2.66.245 to 176.2.66.246176.2.66.2472
191176.2.66.248/30176.2.66.249 to 176.2.66.250176.2.66.2512
192176.2.66.252/30176.2.66.253 to 176.2.66.254176.2.66.2552
193176.2.67.0/30176.2.67.1 to 176.2.67.2176.2.67.32
194176.2.67.4/30176.2.67.5 to 176.2.67.6176.2.67.72
195176.2.67.8/30176.2.67.9 to 176.2.67.10176.2.67.112
196176.2.67.12/30176.2.67.13 to 176.2.67.14176.2.67.152
197176.2.67.16/30176.2.67.17 to 176.2.67.18176.2.67.192
198176.2.67.20/30176.2.67.21 to 176.2.67.22176.2.67.232
199176.2.67.24/30176.2.67.25 to 176.2.67.26176.2.67.272
200176.2.67.28/30176.2.67.29 to 176.2.67.30176.2.67.312
201176.2.67.32/30176.2.67.33 to 176.2.67.34176.2.67.352
202176.2.67.36/30176.2.67.37 to 176.2.67.38176.2.67.392
203176.2.67.40/30176.2.67.41 to 176.2.67.42176.2.67.432
204176.2.67.44/30176.2.67.45 to 176.2.67.46176.2.67.472
205176.2.67.48/30176.2.67.49 to 176.2.67.50176.2.67.512
206176.2.67.52/30176.2.67.53 to 176.2.67.54176.2.67.552
207176.2.67.56/30176.2.67.57 to 176.2.67.58176.2.67.592
208176.2.67.60/30176.2.67.61 to 176.2.67.62176.2.67.632
209176.2.67.64/30176.2.67.65 to 176.2.67.66176.2.67.672
210176.2.67.68/30176.2.67.69 to 176.2.67.70176.2.67.712
211176.2.67.72/30176.2.67.73 to 176.2.67.74176.2.67.752
212176.2.67.76/30176.2.67.77 to 176.2.67.78176.2.67.792
213176.2.67.80/30176.2.67.81 to 176.2.67.82176.2.67.832
214176.2.67.84/30176.2.67.85 to 176.2.67.86176.2.67.872
215176.2.67.88/30176.2.67.89 to 176.2.67.90176.2.67.912
216176.2.67.92/30176.2.67.93 to 176.2.67.94176.2.67.952
217176.2.67.96/30176.2.67.97 to 176.2.67.98176.2.67.992
218176.2.67.100/30176.2.67.101 to 176.2.67.102176.2.67.1032
219176.2.67.104/30176.2.67.105 to 176.2.67.106176.2.67.1072
220176.2.67.108/30176.2.67.109 to 176.2.67.110176.2.67.1112
221176.2.67.112/30176.2.67.113 to 176.2.67.114176.2.67.1152
222176.2.67.116/30176.2.67.117 to 176.2.67.118176.2.67.1192
223176.2.67.120/30176.2.67.121 to 176.2.67.122176.2.67.1232
224176.2.67.124/30176.2.67.125 to 176.2.67.126176.2.67.1272
225176.2.67.128/30176.2.67.129 to 176.2.67.130176.2.67.1312
226176.2.67.132/30176.2.67.133 to 176.2.67.134176.2.67.1352
227176.2.67.136/30176.2.67.137 to 176.2.67.138176.2.67.1392
228176.2.67.140/30176.2.67.141 to 176.2.67.142176.2.67.1432
229176.2.67.144/30176.2.67.145 to 176.2.67.146176.2.67.1472
230176.2.67.148/30176.2.67.149 to 176.2.67.150176.2.67.1512
231176.2.67.152/30176.2.67.153 to 176.2.67.154176.2.67.1552
232176.2.67.156/30176.2.67.157 to 176.2.67.158176.2.67.1592
233176.2.67.160/30176.2.67.161 to 176.2.67.162176.2.67.1632
234176.2.67.164/30176.2.67.165 to 176.2.67.166176.2.67.1672
235176.2.67.168/30176.2.67.169 to 176.2.67.170176.2.67.1712
236176.2.67.172/30176.2.67.173 to 176.2.67.174176.2.67.1752
237176.2.67.176/30176.2.67.177 to 176.2.67.178176.2.67.1792
238176.2.67.180/30176.2.67.181 to 176.2.67.182176.2.67.1832
239176.2.67.184/30176.2.67.185 to 176.2.67.186176.2.67.1872
240176.2.67.188/30176.2.67.189 to 176.2.67.190176.2.67.1912
241176.2.67.192/30176.2.67.193 to 176.2.67.194176.2.67.1952
242176.2.67.196/30176.2.67.197 to 176.2.67.198176.2.67.1992
243176.2.67.200/30176.2.67.201 to 176.2.67.202176.2.67.2032
244176.2.67.204/30176.2.67.205 to 176.2.67.206176.2.67.2072
245176.2.67.208/30176.2.67.209 to 176.2.67.210176.2.67.2112
246176.2.67.212/30176.2.67.213 to 176.2.67.214176.2.67.2152
247176.2.67.216/30176.2.67.217 to 176.2.67.218176.2.67.2192
248176.2.67.220/30176.2.67.221 to 176.2.67.222176.2.67.2232
249176.2.67.224/30176.2.67.225 to 176.2.67.226176.2.67.2272
250176.2.67.228/30176.2.67.229 to 176.2.67.230176.2.67.2312
251176.2.67.232/30176.2.67.233 to 176.2.67.234176.2.67.2352
252176.2.67.236/30176.2.67.237 to 176.2.67.238176.2.67.2392
253176.2.67.240/30176.2.67.241 to 176.2.67.242176.2.67.2432
254176.2.67.244/30176.2.67.245 to 176.2.67.246176.2.67.2472
255176.2.67.248/30176.2.67.249 to 176.2.67.250176.2.67.2512
256176.2.67.252/30176.2.67.253 to 176.2.67.254176.2.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses